gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r6932 - Extractor/contrib/macosx


From: gnunet
Subject: [GNUnet-SVN] r6932 - Extractor/contrib/macosx
Date: Fri, 30 May 2008 07:39:35 -0600 (MDT)

Author: holindho
Date: 2008-05-30 07:39:35 -0600 (Fri, 30 May 2008)
New Revision: 6932

Modified:
   Extractor/contrib/macosx/build-osx-framework.sh
Log:
fix permissions and default install location


Modified: Extractor/contrib/macosx/build-osx-framework.sh
===================================================================
--- Extractor/contrib/macosx/build-osx-framework.sh     2008-05-30 05:20:36 UTC 
(rev 6931)
+++ Extractor/contrib/macosx/build-osx-framework.sh     2008-05-30 13:39:35 UTC 
(rev 6932)
@@ -15,7 +15,7 @@
 SDK=MacOSX10.4u.sdk
 ORIG_SDK=/Developer/SDKs/${SDK}
 FW_NAME=Extractor.framework
-FW_BASE_DIR=/tmp/${FW_NAME}
+FW_BASE_DIR=/Library/Frameworks/${FW_NAME}
 BUILD_DIR=/tmp/Extractor-build
 FINAL_FW_BASE_DIR="${BUILD_DIR}/${FW_NAME}"
 SDK_PATH="${BUILD_DIR}/${SDK}"
@@ -146,6 +146,11 @@
                echo "error preparing sdk"
                exit 1
        fi
+
+       if [ -h "${SDK_PATH}/Library/Frameworks" ]
+       then
+               rm -f "${SDK_PATH}/Library/Frameworks"
+       fi
 }
 
 prepare_package()
@@ -352,11 +357,13 @@
        if [ ! -e "${dst_dir}" ]
        then
                echo "MKDIR ${dst_dir}"
-               if ! ( mkdir -p "${dst_dir}" )
+               if ! ( mkdir -m 755 -p "${dst_dir}" )
                then
                        echo "failed to create directory: ${dst_dir}"
                        exit 1
                fi
+               # fix dir permissions
+               chmod 0755 `find ${FINAL_FW_BASE_DIR} -type d`
        fi
 }
 
@@ -386,6 +393,7 @@
                then
                        echo "LIPO ${dst_file}"
                        lipo -create -o "${dst_file}" ${src_files}
+                       chmod 0755 "${dst_file}"
                fi
        fi
 }
@@ -404,10 +412,11 @@
                        then
                                echo "CP ${dst_file}"
                                cp -PpR "${src_file}" "${dst_file}"
+                               chmod 0755 "${dst_file}"
                        elif [ -f "${src_file}" ]
                        then
                                echo "INSTALL ${dst_file}"
-                               install "${src_file}" "${dst_file}"
+                               install -m 0644 "${src_file}" "${dst_file}"
                        else
                                echo "no such file: ${src_file}"
                                exit 1
@@ -415,7 +424,7 @@
                else
                        if [ -f "${src_file}" ] && [ -f "${dst_file}" ]
                        then
-                               diff "${src_file}" "${dst_file}"
+                               diff -q "${src_file}" "${dst_file}"
                        fi
                fi
        done
@@ -428,7 +437,7 @@
        if [ ! -e "$dst_file" ]
        then
                create_directory_for "$dst_file"
-               install "$src_file" "$dst_file"
+               install -m 0644 "$src_file" "$dst_file"
        fi
 }
 
@@ -462,9 +471,11 @@
 FINAL_FW_DIR="${FINAL_FW_BASE_DIR}/${FW_VERSION_DIR}"
 export PKG_CONFIG_PATH=${FW_DIR}/lib/pkgconfig
 ORIG_DIR=$(pwd)
+old_umask=$(umask)
 
 # prepare build env
 fetch_all_packages
+umask 022
 prepare_sdk
 build_toolchain
 
@@ -525,4 +536,5 @@
 make_framework_link "include" "Headers"
 make_framework_version_links
 
+umask ${old_umask}
 echo "done."





reply via email to

[Prev in Thread] Current Thread [Next in Thread]